Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06604 Graphics Minor Always Jun 5, 2017, 21:09 Jun 15, 2021, 00:11
Tester Luigi30 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver hornet.cpp
Version 0.186 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit 78500ef Github Pull Request #
Summary 06604: gradius4: Flip Screen (V) dipswitch doesn't completely flip text layer
Description The text layer isn't completely flipped when you enable the Flip Screen (V) dipswitch. Some text is flipped vertically, some text isn't.
Steps To Reproduce 1. Boot up Gradius 4.
2. Enable the Flip Screen (V) switch and reboot (F3).
3. The text of the "warning this game is only for use in Japan" screen is flipped but the WARNING header and credit indicator are not.
Additional Information Looking at the tilemap viewer, the background text is not part of any tilemap.
The WARNING, Konami copyright text, and credit indicator are on tilemap 0 and aren't flipped.
Github Commit
Flags
Regression Version
Affected Sets / Systems gradius4
Attached Files
png file icon 0000.png (95,010 bytes) Jun 5, 2017, 21:09 Uploaded by Luigi30
screenshot
Luigi30
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.18987
Hydreigon
Tester
Jun 14, 2021, 23:53
Also fixed by Ville in a specific commit: https://git.redump.net/mame/commit/?id=78500ef334d23599fca57b00fb184678a768af06 Tested in both gradius4 and nbapbp.